<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'ddos.network.title' | translate}}
        </div>

        <div class="card-body">
          <form [formGroup]="ruleNetworkFormGroup">
            <table class="table table-bordered table-sort-icon">
              <thead>
              <tr appSort [orderBy]="order.orderBy" [orderType]="order.orderType" (orderChange)="changeOder($event)">
                <th appSortBy="name">{{'ddos.network.name' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="threshold">{{'ddos.network.threshold' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="duration">{{'ddos.network.duration' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="block_duration">{{'ddos.network.block_duration' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="alert">{{'ddos.network.alert' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th appSortBy="state">{{'ddos.network.state' | translate}}
                  <fa-icon></fa-icon>
                </th>
                <th>{{'common.action' | translate}}</th>
              </tr>
              </thead>
              <tbody formArrayName="data" *ngFor="let ruleNetwork of getFormData.controls; let i=index">
              <tr [formGroupName]="i">
                <!--name-->
                <td>
                    <span>
                      {{ruleNetwork.get('name').value}}
                    </span>
                </td>

                <td class="text-right">
                    <span *ngIf="!ruleNetwork.get('is_update').value">
                      {{ruleNetwork.get('threshold').value}}
                    </span>
                  <div *ngIf="ruleNetwork.get('is_update').value">
                    <input type="number" class="form-control" formControlName="threshold"
                           placeholder="{{'ddos.network.threshold' | translate}}">
                    <span class="text-danger"
                          *ngIf="ruleNetwork.get('threshold').touched && ruleNetwork.get('threshold').invalid">{{'error.validate.input_required' | translate}}</span>
                  </div>
                </td>

                <!--duration-->
                <td class="text-right">
                    <span *ngIf="!ruleNetwork.get('is_update').value">
                      {{ruleNetwork.get('duration').value}}
                    </span>
                  <div *ngIf="ruleNetwork.get('is_update').value">
                    <input type="number" class="form-control" formControlName="duration"
                           placeholder="{{'ddos.network.duration' | translate}}">
                    <span class="text-danger"
                          *ngIf="ruleNetwork.get('duration').touched && ruleNetwork.get('duration').invalid">{{'error.validate.input_required' | translate}}</span>
                  </div>

                </td>
                <!-- block duration-->
                <td class="text-right">
                    <span *ngIf="!ruleNetwork.get('is_update').value">
                      {{ruleNetwork.get('block_duration').value}}
                    </span>
                  <div *ngIf="ruleNetwork.get('is_update').value">
                    <input type="number" class="form-control" formControlName="block_duration"
                           placeholder="{{'ddos.network.block_duration' | translate}}">
                    <span class="text-danger"
                          *ngIf="ruleNetwork.get('block_duration').touched && ruleNetwork.get('block_duration').invalid">{{'error.validate.input_required' | translate}}</span>
                  </div>

                </td>
                <!--alert-->
                <td class="text-center">
                  <span *ngIf="!ruleNetwork.get('is_update').value">
                    <span class="badge badge-success" *ngIf="ruleNetwork.get('alert').value">On</span>
                    <span class="badge badge-warning" *ngIf="!ruleNetwork.get('alert').value">Off</span>
                  </span>
                  <div *ngIf="ruleNetwork.get('is_update').value">
                    <label class="switch switch-pill switch-success">
                      <input type="checkbox" class="switch-input" checked formControlName="alert">
                      <span class="switch-slider"></span>
                    </label>
                  </div>
                </td>
                <!--state-->
                <td class="text-center">
                  <span *ngIf="!ruleNetwork.get('is_update').value">
                                <i class="icon-arrow-up-circle large-icons" style="color: green"
                                   *ngIf="ruleNetwork.get('state').value === 1"></i>
                                <i class="icon-arrow-down-circle large-icons" style="color: red"
                                   *ngIf="ruleNetwork.get('state').value !== 1"></i>
                              </span>
                  <span *ngIf="ruleNetwork.get('is_update').value"
                        (click)="ruleNetwork.get('state').setValue(ruleNetwork.get('state').value === 1? 0 : 1)">
                                <i class="icon-arrow-up-circle large-icons" style="color: green"
                                   *ngIf="ruleNetwork.get('state').value === 1"></i>
                                <i class="icon-arrow-down-circle large-icons" style="color: red"
                                   *ngIf="ruleNetwork.get('state').value !== 1"></i>
                  </span>
                </td>

                <td class="text-center">
                  <div class="btn-group">
                    <button *ngIf="!ruleNetwork.get('is_update').value" (click)="onEdit(i)"
                            type="submit"
                            class="btn btn-success btn-sm">
                      <i class="icon-pencil"></i>
                      <span class="d-none d-md-inline">{{'common.edit' | translate}}</span>
                    </button>
                    <button *ngIf="ruleNetwork.get('is_update').value" (click)="save(saveModal, i)" type="submit"
                            [disabled]="ruleNetwork.invalid"
                            class="btn btn-primary btn-sm">
                      <i class="fa fa-save"></i>
                      <span class="d-none d-md-inline">{{'common.save' | translate}}</span>
                    </button>

                    <button *ngIf="ruleNetwork.get('is_update').value" type="submit" (click)="onCancelEdit(i)"
                            class="btn btn-danger btn-sm">
                      <i class="icon-action-undo"></i>
                      <span class="d-none d-md-inline">{{'common.cancel' | translate}}</span>
                    </button>
                  </div>

                </td>
              </tr>
              </tbody>
            </table>
            <div *ngIf="ruleNetworks.length === 0" class="text-center">
              <span>There is no record!</span>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #saveModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-comfirm-save-title">{{'ddos.network.save_popup.title' | translate}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    {{'ddos.network.save_popup.message' | translate : {name : selectedruleNetwork.name} }}
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-danger" (click)="modal.close('save')">{{'common.save' | translate}}</button>
    <button type="button" class="btn btn-secondary" (click)="modal.close('Close')">{{'common.close' | translate}}
    </button>
  </div>
</ng-template>
